Bug 201662 - Possibility to disable NbAuthenticator
Possibility to disable NbAuthenticator
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: -- Other --
7.0
All All
: P3 (vote)
: 7.1
Assigned To: Jiri Rechtacek
issues@platform
: API_REVIEW_FAST
Depends on:
Blocks: 200692
  Show dependency treegraph
 
Reported: 2011-09-06 07:22 UTC by Ondrej Vrabec
Modified: 2011-10-30 15:12 UTC (History)
2 users (show)

See Also:
Issue Type: TASK
:


Attachments
a proposed API w/ API usage (28.95 KB, patch)
2011-09-14 10:00 UTC, Jiri Rechtacek
Details | Diff
a proposed API w/ API usage (28.79 KB, patch)
2011-09-14 15:55 UTC, Ondrej Vrabec
Details | Diff
a proposed API w/ API usage, version 3 (32.73 KB, patch)
2011-09-15 14:32 UTC, Ondrej Vrabec
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ondrej Vrabec 2011-09-06 07:22:15 UTC
See http://wiki.netbeans.org/Authenticator - some modules would appreciate to be able to disable the authentication dialog while connecting to a host.
Comment 1 Jiri Rechtacek 2011-09-14 10:00:58 UTC
Created attachment 110739 [details]
a proposed API w/ API usage
Comment 2 Jiri Rechtacek 2011-09-14 10:03:31 UTC
Please review proposed patch - more detail found in http://wiki.netbeans.org/Authenticator. I'm going to integrate it on Tue 20/9 before branching Beta. Thanks
Comment 3 Antonin Nebuzelsky 2011-09-14 14:16:45 UTC
Needs to be integrated on Monday at the latest.
Comment 4 Ondrej Vrabec 2011-09-14 15:55:30 UTC
Created attachment 110762 [details]
a proposed API w/ API usage

Git passes username in the URL, so the two conditions in NbAuthenticator (just before opening the authentication dialog) need to be swapped
Comment 5 Jaroslav Tulach 2011-09-15 08:25:07 UTC
Y01 Based on bug 20216: Don't print warnings when there is a provider

Y02 Typo? "Tn the case"

Y03 Use CountDownLatch instead of Thread.sleep(100) and final boolean[] barrier = new boolean[2];

Btw. ProxyCredentialsProvider is a good name.
Comment 6 Ondrej Vrabec 2011-09-15 14:32:32 UTC
Created attachment 110792 [details]
a proposed API w/ API usage, version 3

> Y01 Based on bug 20216: Don't print warnings when there is a provider
fixed
> Y02 Typo? "Tn the case"
fixed
> Y03 Use CountDownLatch instead of Thread.sleep(100) and final boolean[] barrier = new boolean[2];
done
Comment 7 Jiri Rechtacek 2011-09-19 13:36:14 UTC
Thanks for review. I'm going to integrate patch,ver3 in a few hours.
Comment 8 Jiri Rechtacek 2011-09-19 19:05:24 UTC
core-main/rev/2c5e534f8cd6
Comment 9 Jesse Glick 2011-09-20 14:07:39 UTC
<a href="http://download.oracle.com/javase/6/docs/api/java/net/Authenticator.html">Authenticator</a> is a silly way of writing {@link java.net.Authenticator}.
Comment 10 Quality Engineering 2011-09-21 08:02:45 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/2c5e534f8cd6
User: Jiri Rechtacek <jrechtacek@netbeans.org>
Log: #201662: Possibility to disable NbAuthenticator
Comment 11 Jiri Rechtacek 2011-10-14 10:08:18 UTC
(In reply to comment #9)
> <a
> href="http://download.oracle.com/javase/6/docs/api/java/net/Authenticator.html">Authenticator</a>
> is a silly way of writing {@link java.net.Authenticator}.

Sure, I don't know how come. Fixed in http://hg.netbeans.org/core-main/rev/706df373cbea Thanks
Comment 12 Jesse Glick 2011-10-18 17:43:14 UTC
(In reply to comment #11)
> (In reply to comment #9)
>> <a href="http://download.oracle.com/javase/6/docs/api/java/net/Authenticator.html">Authenticator</a>
>> is a silly way of writing {@link java.net.Authenticator}.
> 
> Sure, I don't know how come. Fixed in
> http://hg.netbeans.org/core-main/rev/706df373cbea

No, this was wrong. In apichanges.xml you cannot use @link (though you can and should replace the base URL with @JDK@). I was referring to the two places in *.java code where you used <a> when @link would have sufficed.
Comment 13 Quality Engineering 2011-10-30 15:12:29 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/cf4e7e01c081
User: Jesse Glick <jglick@netbeans.org>
Log: Fixing Javadoc problems ignored in bug #201662 comment #12.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo